<?php
session_start();
require '../../conex/conexao.php';

// Verifique se o usuário não está logado
if (!isset($_SESSION['user_id'])) {
    // Redirecione-o para a página de login
    header("Location: login.php");
}

if (isset($_POST['vendermadeira'])) {
    $item = $_POST['item']; 
    $qnt = $_POST['quantidade']; 
$personagem = $_SESSION['personagem'];
$madeira = $_SESSION['madeira'];
$qntfinal = $madeira - $qnt;

$valor = $_SESSION['precomadeira'];
$qntxvalor = bcmul($valor, $qnt);

$prata = $_SESSION['prata'];
$nvsaldo = $prata + $qntxvalor; 



if ($qnt > $madeira) {
$_SESSION['msg'] = "Você não tem $qnt madeira/s pra vender";
header("Location: ../../dashboardmed.php");
exit;
}



        // Atualize a coluna 'local' na tabela 'personagens' para o novo valor
    $sql = "UPDATE personagens SET prata = :nvsaldo, madeira = :qntfinal WHERE id = :personagem";
    $stmt = $pdo->prepare($sql);
    
$stmt->bindParam(':nvsaldo', $nvsaldo, PDO::PARAM_STR);
    $stmt->bindParam(':qntfinal', $qntfinal, PDO::PARAM_STR);
    $stmt->bindParam(':personagem', $personagem, PDO::PARAM_STR);
   
    
    if ($stmt->execute()) {
    $_SESSION['msg'] = "Você vendeu $qnt madeira/s, por $qntxvalor pratas";
    header("Location: ../../dashboardmed.php");
    exit; // Certifique-se de usar exit para interromper o script após o redirecionamento
} else {
    echo "Erro ao entrar em serviço.";
}

}

?>